# Eclipse Public License version 2.0 (EPL 2.0)

当該プログラムは、このEclipseパブリック・ライセンス（「許諾書」）の条項に基づいて提供されます。受領者が当該プログラムを使用、複製、または頒布した場合、本許諾書を受諾したものと見なします。
## 1. 定義
「コントリビューション」とは、次のものを指します。
- a) 初期のコントリビューターの場合、本許諾書に基づいて頒布された初期のコンテンツ
- b) 後続の各コントリビューターの場合、 
  - i) プログラムへの変更
  - ii) プログラムへの追加

    この場合の変更及び/もしくは追加は、当該コントリビューターよって実施、または頒布されたものを指します。ここで言う「実施」とは、そのコントリビューションが当該コントリビューター自身または当該コントリビューターのために活動する誰かによって追加されたことを意味します。この場合のコントリビューションは、「修正された著作物」ではないプログラムへの変更もしくは追加を含みません。

「コントリビューター」とは、プログラムを頒布する個人または団体を指します。<br>

「ライセンスされる特許」とは、コントリビューターによってライセンス可能な特許申請のうち、当該コントリビューターのコントリビューションを単独またはプログラムと組み合わせて使用または販売することで必然的に侵害されるものを指します。<br>

「プログラム」とは、本許諾書に従って頒布されるコントリビューションを指します。<br>

「受領者」とは、本許諾書もしくは（適用可能な）すべての二次ライセンスに基づいてプログラムを受け取るすべての者を指し、これにはコントリビューターも含まれます。<br>

「派生著作物」とは、ソースコードであるか他の形態であるかを問わず、そのプログラムに基づいた（あるいはそのプログラムから派生した）すべての著作物を指します。またそれに加えられた編集上の修正、注釈、推敲、もしくはその他の修正は総じて著作のオリジナル作品を指します。<br>

「修正された著作物」とは、プログラムのコンテンツの追加、削除、もしくは変更の結果生じたソースコードもしくは他の形式のすべての著作物を指し、プログラムのコンテンツを含むソースコードの形式で提供される新たなファイルすべてが含まれます。「修正された著作物」には、「プログラム」もしくはその「修正された著作物」に関連づけたり、または名前で結びつけたり、下位に分類する目的で、プログラムの宣言、インターフェイス、型、クラス、構造体、またはファイルのみを単独で含む著作物は含まれないものとします。<br>

「頒布する」とは、コピーの譲渡を目的とした、a)頒布もしくはb)入手可能とするためのあらゆる行為を指します。<br>

「ソースコード」とは、修正を加える上で好ましいプログラムの形態を指します。ソフトウェア・ソースコード及び文書、設定ファイルが含まれますが、これに限定されるものではありません。<br>

「二次ライセンス」とは、GNU 一般公衆利用許諾書 バージョン 2.0もしくはそれ以降のバージョンのいずれかを指します。初期の「コントリビューター」によって認められた例外または追加の許可が含まれます。<br>

## 2. 権利の付与
- a) 本許諾書の条項に従って、各コントリビューターは受領者に対し、当該コントリビューターのコントリビューション（および該当する場合は、その派生物）を複製したり、派生物を作成したり、公に表示したり、公に実行したり、頒布したり、サブライセンスしたりする、非独占的で世界規模で使用料無料の著作権ライセンスを付与します。<br>
- b) 本許諾書の条項に従って、各コントリビューターは受領者に対し、ライセンスされる特許に基づいて、ソースコード形式であれオブジェクトコード形式であれ、当該コントリビューターのコントリビューションを作成したり、使用したり、販売したり、販売用に提供したり、インポートしたり、その他の方法で移転したりする、非独占的で世界規模で使用料無料の特許ライセンスを付与します。コントリビューションがコントリビューターによって追加された時点で、その追加によってコントリビューションとプログラムの組み合わせがライセンスされる特許の対象になる場合は、この特許ライセンスをその組み合わせに適用します。コントリビューションが含まれるものでも、それ以外の組み合わせには、この特許ライセンスを適用しません。ハードウェアはこのライセンスの対象になりません。
- c) 受領者は、各コントリビューターがここでコントリビューションへのライセンスを付与したとしても、プログラムが他者の特許やその他の知的所有権を侵害しないことをコントリビューターが保証していると見なしてはなりません。各コントリビューターは、知的所有権の侵害やその他の侵害に基づいて他者から出される賠償請求について、受領者に対する一切の責任を否認します。これにより、ここで付与される権利とライセンスを行使する条件として、もし他に必要な知的所有権があれば、受領者はそれらを自分で取得する責任を負うことになります。たとえば、受領者がプログラムを頒布する上で第三者の特許ライセンスが必要だとすると、プログラムの頒布前にそのライセンスを取得するのは受領者の責任です。
- d) 各コントリビューターは、本許諾書で述べている著作権ライセンスを付与するのに十分な著作権がコントリビューションにあるはずだとの認識を持っています。
- e) 二次ライセンスの規約にかかわらず、（第3節の条項で許諾されている場合）受領者が二次ライセンスに従ってプログラムを受け取った結果、コントリビューターは（本許諾書で明記されている以外の）受領者に対して追加的権利を付与しないものとします。
## 3. 用件
### 3.1 コントリビューターが何らかの形式でプログラムを頒布する場合：
- a) 以下3.2項に従って、そのプログラムのソースコードを利用可能にする必要があり、コントリビューターはそのプログラムに、そのプログラムのソースコードが本許諾書に基づき利用可能であるとする説明を付す必要があります。また、ソフトウェア交換のために慣用的に使用されている媒体を通じてそれを入手する方法を受領者に知らせる必要があります。
- b) そのコントリビューターは、本許諾書以外のライセンスに基づくプログラムを頒布することができます。但し、該当するライセンスは以下の条件を満たさなければなりません。 
- i) 他の全コントリビューターの利益となるよう、明示暗黙を問わず、タイトルと非侵害生に関する保証や条件、商業的な使用可能性と特定の目的に対する適合性に関する暗黙の保証や条件を含めて、あらゆる保証や条件を効果的に否認しており、
- ii) 他の全コントリビューターの利益となるよう、利益の損失やその他の、直接損害、間接損害、特別損害、偶発的損害、結果損害を含めて、あらゆる損害に対する責任を効果的に否認しており、
  - iii) 3.2項が定めるソースコードに関する受領者の権利に制限もしくは変更を加えるものではなく、
  - iv) いかなる当事者によるプログラムのその後の頒布に対して、この3節が定める条件を満たすライセンスに従うことを要求します。
### 3.2 プログラムがソースコードの形式で頒布される場合：
- a) それは本許諾書に基づいて利用可能にする必要がある、あるいはそのプログラムが i)二次ライセンス に基づいて利用できる別の一つのファイルや複数のファイルに他のマテルアルが組み合わせている場合、そして ii) 初期のコントリビューターがそのソースコードに、本許諾書の附属書Aに記載された通知を添付した場合、そのプログラムは当該二次ライセンスの規定に従って利用可能となります。また、
- b) プログラムの各コピーに、本許諾書のコピーを添付しなければなりません。
3.3 コントリビューターは、頒布するプログラムのコピーから、プログラム内に含まれるいかなる著作権、特許、商標、帰属告知、保証の否認、もしくは責任の制限（通知）も削除もしくは変更してはなりません。但し、コントリビューターが自身で適切な通知を追加できる場合に限ります。
## 4. 商業目的の頒布
ソフトウェアの商業ディストリビューターは、エンドユーザやビジネスパートナーなどに関して一定の責任を負うことがあります。このライセンスはプログラムの商業利用を促進することを意図してはいますが、プログラムを商業製品に含めるコントリビューターは他のコントリビューターに責任が及ばないような措置をとるべきです。したがって、プログラムを商業製品に含めるコントリビューター（「商業コントリビューター」）は、その頒布に関連する当該商業コントリビューターの行為または不作為に起因するものに限り、第三者による賠償請求や訴訟やその他の法的行動によって生じる損失、損害、および費用（「損失」と総称）から他のすべてのコントリビューター（「被補償コントリビューター」）を守り、そうした損失を補償することに同意するものとします。この項で述べている義務は、実際のまたは申し立てられた知的財産侵害に関連する賠償請求や損失には適用されません。被補償コントリビューターは資格を得るため、a) そうした賠償請求を直ちに書面で商業コントリビューターに通知すると共に、b) 商業コントリビューターに協力して、商業コントリビューターが防御や和解交渉をうまく行えるようにしなければなりません。被補償コントリビューターは、そうした賠償請求に自費で参加することもできます。
たとえば、あるコントリビューターがプログラムを製品Xという商業製品に含めたとします。 そうすると、そのコントリビューターは商業コントリビューターになります。この商業コントリビューターが製品Xに関してパフォーマンス上の断言を行ったり保証を申し出たりした場合、そうした断言や保証はこの商業コントリビューターの単独の責任になります。この項により、この商業コントリビューターは、こうした断言と保証に関連して他のコントリビューターへの賠償請求に対抗しなければならず、もし法廷が他のコントリビューターに損害賠償の支払いを命じたなら、この商業コントリビューターがそうした損害賠償を支払わなければなりません。
## 5. 無保証
本許諾書に明記されているものを除き、プログラムは「現状のまま」提供されるものとし、明示黙示を問わず、タイトル、非侵害性、商業的な使用可能性、および特定の目的に対する適合性に関する保証を含め、いかなる保証もありません。各受領者はプログラムの使用と頒布の適切性を自分で判断する責任を持つと共に、本許諾書により付与される権利を行使することに伴うすべてのリスク（プログラムエラー、適用される法律の準拠、データやプログラムや機器への被害、操作の中断、およびその他のリスク）を負うことになります。
## 6. 責任の否認
本許諾書に明記されているものを除き、受領者もコントリビューターも、事由のいかんを問わず、 損害発生の原因いかんを問わず、かつ責任の根拠が契約であるか厳格責任であるか（過失その他）不法行為であるかを問わず、受領者もコントリビューターも、仮にそのような損害が発生する可能性を知らされていたとしても、プログラムの使用または頒布あるいは本許諾書で付与された権利の行使によって発生した直接損害、間接損害、偶発的な損害、特別損害、懲罰的損害、または結果損害に対して一切責任を負わないものとします。
## 7. 全般
適用される法律の下で本許諾書のいずれかの条項が無効または施行不可能であっても、それによって本許諾書の他の部分の有効性や施行可能性は影響を受けないものとし、この点に関して当事者がそれ以上行動を起こさなければ、その条項は、これを有効で施行可能とする最小限の範囲で改正されるものとします。<br>

受領者が、プログラム自体（他のソフトウェアやハードウェアとの組み合わせは除く）が当該受領者の特許を侵害していると申し立てる特許訴訟（交差請求や反訴を含む）を誰かに対して起こした場合、第2項の(b)に基づいて付与された当該受領者の権利は、その訴訟が正式に起こされた時点で終了するものとします。<br>

受領者が本許諾書の重要な条項のいずれかに従わず、そうした違反に気づいてから相応の期間内に違反を正さなかった場合は、本許諾書に基づく受領者のすべての権利が終了するものとします。本許諾書に基づく受領者のすべての権利が終了した場合、受領者はプログラムの使用と頒布をできるだけ速やかに停止することに同意するものとします。ただし、本許諾書に基づく受領者の義務および受領者によって付与されたライセンスは引き続き効果を持つものとします。<br>

誰でも本許諾書をコピーしたりコピーを頒布したりしてかまいませんが、不一致が起きないようにするため、本許諾書は著作権で保護されており、修正は次に述べる方法でのみ行えるものとします。許諾書管理人は本許諾書の新バージョン（改訂も含む）を発行する権利を留保します。許諾書管理人以外の者に本許諾書を修正する権利はありません。The Eclipse Foundationが初期許諾書管理人です。The Eclipse Foundationは許諾書管理人の役割を適任者に割り当てることができます。本許諾書の各新バージョンには識別用のバージョン番号が与えられます。プログラム（コントリビューションも含む）の頒布は、必ずそれを受け取ったときの許諾書バージョンに従って行わなければなりません。さらに、本許諾書の新バージョンが発行されたら、コントリビューターはプログラム（コントリビューションも含む）をその新バージョンに従って頒布することもできます。<br>

第2項の(a)および(b)に明記されているものを除き、明示、黙示、禁反言などであるとを問わず、本許諾書に基づいてコントリビューターの知的財産への権利やライセンスが受領者に付与されることはありません。本許諾書で明示的に付与されたものでないプログラムのすべての権利は留保されます。本許諾書のいかなる規定も、コントリビューターもしくは受領者に該当しない当事者に強制力を与えるものではありません。いかなる第三者受益権も、本許諾書に基づいて一切創出されることはありません。
## 附属書A - 二次ライセンス通知の形式
「Eclipseパブリック・ライセンス バージョン2.0が定める利用可能の条件を満たしている場合、このソースコードは以下の二次ライセンスでも利用可能になることがあります。{ライセンス名、バージョン、及び例外もしくは追加的な許可}」
この附属書Aを含む本許諾書のコピーを添付するだけでは、二次ライセンスに基づいたソースコードの使用許可をライセンスするのに十分ではありません。
その通知を特定のファイルに置くのが不可能もしくは望ましくない場合、受領者がその通知に目を向ける可能性の高い場所（例えば、関連するディレクトリのライセンスファイル）に含めることができます。
あなたは、著作権の所有に関する正確な通知を追加することができます。
